SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE VIEW [data].[current_date_Prognose] AS

SELECT        data.Arbeitstage.bundeslaender_id AS [Bundeslaender Id], data.Arbeitstage.datum AS [Invoice Date], data.Arbeitstage.wochentage_id AS [Wochentage Id], data.Arbeitstage.arbeitstag_mofr AS [Arbeitstag Mofr], 
                         data.Arbeitstage.zaehler_mofr AS [Zaehler Mofr], data.Arbeitstage.summe_mofr AS [Summe Mofr], data.Arbeitstage.arbeitstag_mosa AS [Arbeitstag Mosa], data.Arbeitstage.zaehler_mosa AS [Zaehler Mosa], 
                         data.Arbeitstage.summe_mosa AS [Summe Mosa], data.Arbeitstage.feiertage_id AS [Feiertage Id], YEAR(GETDATE() - 1) AS Jahr, YEAR(data.Arbeitstage.datum) AS [Arbeitstag Nr Jahr], 
                         data.S_Gesamt_Arbeitstage.gesamt AS [Gesamt Arbeitstage]
FROM            data.Arbeitstage INNER JOIN
                         data.S_Gesamt_Arbeitstage ON data.Arbeitstage.bundeslaender_id = data.S_Gesamt_Arbeitstage.bid
WHERE        (YEAR(data.Arbeitstage.datum) = YEAR(GETDATE()))
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
